CVE-2014-2386

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2014-2386 at MITRE

Description

Multiple off-by-one errors in Icinga, possibly 1.10.2 and earlier, allow remote attackers to cause a denial of service (crash) via unspecified vectors to the (1) display_nav_table, (2) print_export_link, (3) page_num_selector, or (4) page_limit_selector function in cgi/cgiutils.c or (5) status_page_num_selector function in cgi/status.c, which triggers a stack-based buffer overflow.

NVD CVSS v2 Base Score: 5.0 (AV:N/AC:L/Au:N/C:N/I:N/A:P)

SUSE information

SUSE Bugzilla entry: 868426

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 12.3
  • icinga >= 1.10.2-2.12.1
  • icinga-debuginfo >= 1.10.2-2.12.1
  • icinga-debugsource >= 1.10.2-2.12.1
  • icinga-devel >= 1.10.2-2.12.1
  • icinga-doc >= 1.10.2-2.12.1
  • icinga-idoutils >= 1.10.2-2.12.1
  • icinga-idoutils-debuginfo >= 1.10.2-2.12.1
  • icinga-idoutils-mysql >= 1.10.2-2.12.1
  • icinga-idoutils-oracle >= 1.10.2-2.12.1
  • icinga-idoutils-pgsql >= 1.10.2-2.12.1
  • icinga-plugins-downtimes >= 1.10.2-2.12.1
  • icinga-plugins-eventhandlers >= 1.10.2-2.12.1
  • icinga-www >= 1.10.2-2.12.1
  • icinga-www-debuginfo >= 1.10.2-2.12.1
  • monitoring-tools >= 1.10.2-2.12.1
  • monitoring-tools-debuginfo >= 1.10.2-2.12.1
Patchnames:
openSUSE-2014-237
openSUSE 13.1
  • icinga >= 1.10.2-4.14.1
  • icinga-debuginfo >= 1.10.2-4.14.1
  • icinga-debugsource >= 1.10.2-4.14.1
  • icinga-devel >= 1.10.2-4.14.1
  • icinga-doc >= 1.10.2-4.14.1
  • icinga-idoutils >= 1.10.2-4.14.1
  • icinga-idoutils-debuginfo >= 1.10.2-4.14.1
  • icinga-idoutils-mysql >= 1.10.2-4.14.1
  • icinga-idoutils-oracle >= 1.10.2-4.14.1
  • icinga-idoutils-pgsql >= 1.10.2-4.14.1
  • icinga-plugins-downtimes >= 1.10.2-4.14.1
  • icinga-plugins-eventhandlers >= 1.10.2-4.14.1
  • icinga-www >= 1.10.2-4.14.1
  • icinga-www-debuginfo >= 1.10.2-4.14.1
  • monitoring-tools >= 1.10.2-4.14.1
  • monitoring-tools-debuginfo >= 1.10.2-4.14.1
Patchnames:
openSUSE-2014-237